<?php
/***********************************************************************************
************************************************************************************
***                                                                              ***
***   XTC Template Framework 2.4.0                                               ***
***                                                                              ***
***   Copyright (c) 2010-2012 Monev Software LLC,  All Rights Reserved           ***
***                                                                              ***
***   This program is free software; you can redistribute it and/or modify       ***
***   it under the terms of the GNU General Public License as published by       ***
***   the Free Software Foundation; either version 2 of the License, or          ***
***   (at your option) any later version.                                        ***
***                                                                              ***
***   This program is distributed in the hope that it will be useful,            ***
***   but WITHOUT ANY WARRANTY; without even the implied warranty of             ***
***   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              ***
***   GNU General Public License for more details.                               ***
***                                                                              ***
***   You should have received a copy of the GNU General Public License          ***
***   along with this program; if not, write to the Free Software                ***
***   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA   ***
***                                                                              ***
***   See COPYRIGHT.php for more information.                                    ***
***   See LICENSE.php for more information.                                      ***
***                                                                              ***
***   www.joomlaxtc.com                                                          ***
***                                                                              ***
************************************************************************************
***********************************************************************************/

defined('_JEXEC') or die;

jimport('joomla.form.formfield');

class JFormFieldLayoutgroups extends JFormField {

	protected	$type = 'Layoutgroups';

	protected function getInput()	{

		if (!function_exists('xtcsortfn')) {
				function xtcsortfn($a, $b) {
			   return strnatcmp($a[0],$b[0]);
			}
		}

		jimport( 'joomla.filesystem.folder' );
		JHTML::_( 'behavior.modal', 'a.modal' );

		if (!defined('XTCTEMPLATE')) {
			$db = JFactory::getDBO();
			$db->setQuery( 'SELECT template FROM #__template_styles WHERE id='.JRequest::getInt('id') );
			$template = $db->loadResult();
			if ($db->getErrorNum()) {  JError::raiseError(500, $db->getError() );  }
			define('XTCTEMPLATE',$template);
		} else { $template = XTCTEMPLATE; }
		$live_site = JURI::root();
		$document = JFactory::getDocument();
		$id = JRequest::getInt('id');

		$document->addStyleSheet($live_site."templates/$template/XTC/XTC.css",'text/css');
		$path = JPATH_ROOT.'/templates/'.$template;
		$folders = JFolder::folders($path.'/layouts');
    
		$layouts = array();
		foreach ($folders as $folder) { // Parse parameter files
			$xmlFile = $path.'/layouts/'.$folder.'/config.xml';
			if (is_readable($xmlFile)) {
				$xmlData = file_get_contents($xmlFile);
				$xml = JFactory::getXMLParser('Simple');
				$xml->loadString($xmlData);
				$name = $xml->document->getElementByPath('name');
				$description = $xml->document->getElementByPath('description');
				$name = $name ? trim($name->data()) : $folder;
				$description = $description ? trim($description->data()) : '';
			}
			else {
				$name = $folder;
				$description = '';
			}
			$thumbnail = '';
			if (file_exists($path.'/layouts/'.$folder.'/thumbnail.gif')) { $thumbnail = 'thumbnail.gif'; }
			elseif (file_exists($path.'/layouts/'.$folder.'/thumbnail.jpg')) {$thumbnail = 'thumbnail.jpg'; }
			elseif (file_exists($path.'/layouts/'.$folder.'/thumbnail.png')) {$thumbnail = 'thumbnail.png'; }

			$fullimage = '';
			if (file_exists($path.'/layouts/'.$folder.'/layout.gif')) { $fullimage = 'layout.gif'; }
			elseif (file_exists($path.'/layouts/'.$folder.'/layout.jpg')) {$fullimage = 'layout.jpg'; }
			elseif (file_exists($path.'/layouts/'.$folder.'/layout.png')) {$fullimage = 'layout.png'; }

			$layouts[] = array($name,$folder,$description,$thumbnail,$fullimage);
		}

		usort($layouts, "xtcsortfn");

		require_once $path.'/XTC/XTC_library.php';
		$templateParameters = xtcLoadParams($id);
		
		$html = '<div class="layoutGroups">';
		
		$count = count($layouts);
		$openClass = ($count==1) ? ' open' : '';
		foreach ($layouts as $layout) { // Draw layouts
			list($name,$folder,$description,$thumbnail,$fullimage) = $layout;

			$params = isset($templateParameters->group->$folder) ? $templateParameters->group->$folder : new stdClass();

			$html .= '<div id="layout'.$folder.'" class="xtcPane'.$openClass.'">';
				// if ($count > 1) $html .= '<a href="javascript:void(0);" onclick="switchpane(\'layout'.$folder.'\');" class="xtcPaneName"><span>'.$name.'</span></a>';
				$html .= '<a href="javascript:void(0);" onclick="switchpane(\'layout'.$folder.'\');" class="xtcPaneName"><span>'.$name.'</span></a>';
				$html .= '<div class="xtcPaneContents">';

					$html .= '<table class="xtcLayoutTable"><tr>';
						if ($thumbnail) {
							$thumbnailURL = $live_site.'templates/'.$template.'/layouts/'.$folder.'/'.$thumbnail;
							if ($fullimage) {
								$fullimageURL = $live_site.'templates/'.$template.'/layouts/'.$folder.'/'.$fullimage;
								$headerimg_size = getimagesize($path.'/layouts/'.$folder.'/'.$fullimage);
								$width = $headerimg_size[0];
								$height = $headerimg_size[1]; 
								$onclick = "onclick=\"MyWindow=window.open('$fullimageURL','_blank','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=$width,height=$height'); return false;\"";
								$html .= '<td class="layoutImageTd"><img class="layoutImage" style="cursor:pointer" '.$onclick.' src="'.$thumbnailURL.'" alt="Full image" /></td>';
							}
							else {
								$html .= '<td class="layoutImageTd"><img class="layoutImage" src="'.$thumbnailURL.'" alt="" /></td>';
							}
						}
						$html .= '<td>';
						if ($description) $html .= '<div class="layoutDescription">'.$description.'</div>';
		
						$form = new JForm('jxtc');
						$form->addFieldPath(JPATH_ROOT.'/templates/'.$template.'/XTC/elements');
						$xmlFile = $path.'/layouts/'.$folder.'/config.xml';
						$form->loadFile($xmlFile);
						$getFieldsets = $form->getFieldsets();
					
						foreach ($getFieldsets as $fieldsets => $fieldset) {
							$label = isset($fieldset->label) ? trim($fieldset->label) : $fieldset->name;
							$description = isset($fieldset->description) ? trim($fieldset->description) : '';
							if (count($getFieldsets) > 1) {
								$html .= '<fieldset class="xtcFieldset"><legend class="xtcFieldsetLegend">'.$label.'</legend>';
							}
							if ($description) { $html .= '<div class="xtcFieldsetDescription">'.$description.'</div>'; }

							$html .= '<ul class="adminformlist xtcFormList">';
								foreach($form->getFieldset($fieldset->name) as $field) {
									$xtcName = substr($field->name,7,-1);
									if (isset($params->$xtcName)) { $field->value = $params->$xtcName; }
									$field->name = str_replace('params[','xtcparam[layout]['.$folder.'][',$field->name);
									$html .= '<li>'.$field->getLabel().$field->getInput().'</li>';
								}
							$html .= '</ul>';
							if (count($getFieldsets) > 1) {
								$html .= '</fieldset>';
							}
						}
					$html .= '</td></tr></table>';
				$html .= '</div>'; // panecontents
				$html .= '</div>'; // xtcpane
				$openClass='';
			}
		$html .= '</div>';
	return $html;
	}

	protected function getLabel()	{
		return '';
	}
}
