<?php
/**
* @version		$Id: imagelist.php 14401 2010-01-26 14:10:00Z louis $
* @package		Joomla.Framework
* @subpackage	Parameter
* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*
* Modded by Monev Software to use specific folders
*
*/

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldTemplateimage extends JFormFieldList {

	protected $type = 'Templateimage';

	protected function getOptions()	{

		if (!defined('XTCTEMPLATE')) {
			$db = JFactory::getDBO();
			$db->setQuery( 'SELECT template FROM #__template_styles WHERE id='.JRequest::getInt('id') );
			$template = $db->loadResult();
			if ($db->getErrorNum()) {  JError::raiseError(500, $db->getError() );  }
			define('XTCTEMPLATE',$template);
		} else { $template = XTCTEMPLATE; }
		$directory = $this->element['directory'];
		$directory = $directory ? 'images/'.$directory : 'images';
		$path = JPATH_ROOT.'/templates/'.$template.'/'.$directory;

		$options = array();
//		$filter			= (string) $this->element['filter'];
		$filter = '\.png$|\.gif$|\.jpg$|\.bmp$|\.ico$';
		$exclude		= (string) $this->element['exclude'];
		$stripExt		= (string) $this->element['stripext'];
		$hideNone		= (string) $this->element['hide_none'];
//		$hideDefault	= (string) $this->element['hide_default'];
		$hideDefault	= 1;

//		$path = (string) $this->element['directory'];
//		if (!is_dir($path)) {
//			$path = JPATH_ROOT.'/'.$path;
//		}

		if (!$hideNone) {
			$options[] = JHtml::_('select.option', '-1', JText::alt('JOPTION_DO_NOT_USE', preg_replace('/[^a-zA-Z0-9_\-]/', '_', $this->fieldname)));
		}
		if (!$hideDefault) {
			$options[] = JHtml::_('select.option', '', JText::alt('JOPTION_USE_DEFAULT', preg_replace('/[^a-zA-Z0-9_\-]/', '_', $this->fieldname)));
		}

		$files = JFolder::files($path, $filter);

		if (is_array($files)) {
			foreach($files as $file) {

				if ($exclude) {
					if (preg_match(chr(1).$exclude.chr(1), $file)) {
						continue;
					}
				}
				if ($stripExt) {
					$file = JFile::stripExt($file);
				}
				$options[] = JHtml::_('select.option', $file, $file);
			}
		}
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}

