<?php
/**
 * @version 1.0.2 Stable $Id$
 * @package Joomla
 * @subpackage EventList
 * @copyright (C) 2005 - 2009 Christoph Lukes
 * @license GNU/GPL, see LICENSE.php
 * EventList is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * EventList is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
    
?>
<h2 class="register"><?php echo JText::_( 'COM_EVENTLIST_REGISTERED_USERS' ).':'; ?></h2>

<div class="register">
<?php
//only set style info if users allready have registered
if ($this->registers) :
?>
	<ul class="user floattext">

<?php
//loop through attendees
foreach ($this->registers as $register) :

	//if CB
	$text = '';
	// is a plugin catching this ?
  if ($res = $this->dispatcher->trigger( 'onAttendeeDisplay', array( $register->uid, &$text )))
  {
  	 echo '<li>'.$text.'</li>';
  }
	else if ($this->elsettings->comunsolution == 1) :

		$useravatar = JHTML::_('image.site', 'tn'.$register->avatar, 'images/comprofiler/', NULL, NULL, $register->name);
		$nouseravatar = JHTML::_('image.site', 'tnnophoto.jpg', 'components/com_comprofiler/images/english/', NULL, NULL, $register->name);
		
		if ($this->elsettings->comunoption == 1) :
			//User has avatar
			if(!empty($register->avatar)) :
				echo "<li><a href='".JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$register->uid )."'>".$useravatar."<span class='username'>".$register->name."</span></a></li>";

			//User has no avatar
			else :
				echo "<li><a href='".JRoute::_( 'index.php?option=com_comprofiler&task=userProfile&user='.$register->uid )."'>".$nouseravatar."<span class='username'>".$register->name."</span></a></li>";
			endif;
		endif;

		//only show the username with link to profile
		if ($this->elsettings->comunoption == 0) :
			echo "<li><span class='username'><a href='".JRoute::_( 'index.php?option=com_comprofiler&amp;task=userProfile&amp;user='.$register->uid )."'>".$register->name." </a></span></li>";
		endif;
	//no communitycomponent is set so only show the username
	else :
		echo "<li><span class='username'>".$register->name."</span></li>";
	endif;

//end loop through attendees
endforeach;
?>

	</ul>
<?php endif; ?>

<?php
switch ($this->formhandler) {

	case 1:
		echo JText::_( 'COM_EVENTLIST_TOO_LATE_REGISTER' );
	break;

	case 2:
		echo JText::_( 'COM_EVENTLIST_LOGIN_FOR_REGISTER' );
	break;

	case 3:

		//the user is allready registered. Let's check if he can unregister from the event
		if ($this->row->unregistra == 0) :

			//no he is not allowed to unregister
			echo JText::_( 'COM_EVENTLIST_ALLREADY_REGISTERED' );

		else:

			//he is allowed to unregister -> display form
			?>
			<form id="Eventlist" action="<?php echo JRoute::_('index.php'); ?>" method="post">
				<p>
					<?php echo JText::_( 'COM_EVENTLIST_UNREGISTER_BOX' ).': '; ?>
					<input type="checkbox" name="reg_check" onclick="check(this, document.getElementById('el_send_attend'))" />
				</p>
				<p>
					<input type="submit" id="el_send_attend" name="el_send_attend" value="<?php echo JText::_( 'COM_EVENTLIST_UNREGISTER' ); ?>" disabled="disabled" />
				</p>
				<p>
					<input type="hidden" name="rdid" value="<?php echo $this->row->did; ?>" />
					<?php echo JHTML::_( 'form.token' ); ?>
					<input type="hidden" name="task" value="delreguser" />
				</p>
			</form>
			<?php
		endif;

	break;

	case 4:

		//the user is not registered allready -> display registration form
		?>
		<form id="Eventlist" action="<?php echo JRoute::_('index.php'); ?>" method="post">
			<p>
				<?php echo JText::_( 'COM_EVENTLIST_I_WILL_GO' ).': '; ?>
				<input type="checkbox" name="reg_check" onclick="check(this, document.getElementById('el_send_attend'))" />
			</p>
		<p>
			<input type="submit" id="el_send_attend" name="el_send_attend" value="<?php echo JText::_( 'COM_EVENTLIST_REGISTER' ); ?>" disabled="disabled" />
		</p>
		<p>
			<input type="hidden" name="rdid" value="<?php echo $this->row->did; ?>" />
			<?php echo JHTML::_( 'form.token' ); ?>
			<input type="hidden" name="task" value="userregister" />
		</p>
		</form>
		<?php
	break;
}
?>
</div>